Bug 25259 - Two Way Binding to Leaf Property that is get/set, via a Property that is get only will not work
Summary: Two Way Binding to Leaf Property that is get/set, via a Property that is get ...
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 1.3.0
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2014-12-11 02:01 UTC by me
Modified: 2015-01-30 13:22 UTC (History)
5 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Test project, we use this to verify that it is really a bug (73.90 KB, application/x-zip-compressed)
2014-12-11 02:01 UTC, me
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description me 2014-12-11 02:01:32 UTC
Created attachment 9026 [details]
Test project, we use this to verify that it is really a bug

In earlier version of Xamarin, this scenario works.

    public class BigClass
    {
        public DataClass Inner
        {
            get;
            private set;
        }
    }

    public class DataClass
    {
        public string AGetSetProperty { get; set; }

    }

The text field

<Entry Text="{Binding Inner.AGetSetProperty}" />

will be able to set the 'AGetSetProperty' of Inner Class property.

However in version 1.3.0.6280-pre2 (and also pre-1) it does not, the value of Inner.AGetSetProperty can be read but it will not be set.

Attached in the attachment is the Zipped test case we produce to ensure that it is the bug on Xamarin so we have to workaround.

== WORKAROUND ==
Add an Empty Set block to the property along the way until reaching the final leaf property you need to set.
Comment 1 Abhishek 2014-12-31 10:38:59 UTC
I have checked this issue with Xamarin.Forms 1.3.0.6280-pre2 with the help of Test Project attached in bug description and able to reproduce the reported behavior.

Please refer the screencast with Xamarin.Forms 1.3.0.6280-pre2 : www.screencast.com/t/o9gGFFSfzgfz

I have also checked this issue with Xamarin.Forms 1.2.3.6257 and observed that we are able to set the value of Inner.AGetSetProperty.

Screencast with Xamarin.Forms 1.2.3.6257 : http://www.screencast.com/t/mK63bOcYtHZ2

Environment Info :

=== Xamarin Studio ===

Version 5.5.4 (build 15)
Installation UUID: c217ec40-e40b-4f5d-be93-0c0f4cc267e1
Runtime:
 Microsoft .NET 4.0.30319.17929
 GTK+ 2.24.22 (MS-Windows theme)
 GTK# 2.12.26

=== Xamarin.Android ===

Version: 4.20.0 (Trial Edition)
Android SDK: C:\Users\Administrator\AppData\Local\Android\android-sdk
 Supported Android versions:
  2.1   (API level 7)
  2.2   (API level 8)
  2.3   (API level 10)
  3.1   (API level 12)
  4.0.3 (API level 15)
  4.4   (API level 19)
  5.0   (API level 21)
Java SDK: C:\Program Files (x86)\Java\jdk1.7.0_04
java version "1.7.0_04"
Java(TM) SE Runtime Environment (build 1.7.0_04-b22)
Java HotSpot(TM) Client VM (build 23.0-b21, mixed mode, sharing)

=== Build Information ===

Release ID: 505040015
Git revision: f93940a35458a18052f1a25e106e62ca970d9c40
Build date: 2014-11-19 13:26:21-05
Xamarin addins: dc23cbd91a3a0e1d326328e1229e86c942a49ec8

=== Operating System ===

Windows 6.1.7601.65536 (64-bit)
Comment 2 Jason Smith [MSFT] 2015-01-23 09:08:40 UTC
Should be fixed in 1.3.2 final
Comment 3 Parmendra Kumar 2015-01-30 13:22:18 UTC
I have checked this issue with Xamarin.Forms.1.3.2.6309-pre2 and now its working fine at my end.

Hence closing this issue.